"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = require("../../typescript");
function getParentSyntaxList(node) {
    if (node.kind === typescript_1.SyntaxKind.EndOfFileToken)
        return undefined;
    const parent = node.parent;
    if (parent == null)
        return undefined;
    const { pos, end } = node;
    // @code-fence-allow(getChildren): The extended comments are not needed here.
    for (const child of parent.getChildren()) {
        if (child.pos > end || child === node)
            return undefined;
        if (child.kind === typescript_1.SyntaxKind.SyntaxList && child.pos <= pos && child.end >= end)
            return child;
    }
    return undefined; // shouldn't happen
}
exports.getParentSyntaxList = getParentSyntaxList;
